Gda.Worker – Gda-6.0 Reference Manual

# Worker

## Object Hierarchy:

## Description:

[ CCode ( ref_function = "gda_worker_ref" , type_id = "gda_worker_get_type ()" , unref_function = "gda_worker_unref" ) ]
[ Compact ]
public class Worker
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public Worker ()

### Methods:

- public Worker @ref ()
- public bool cancel_job (uint job_id) throws Error
- public bool do_job (MainContext? context, int timeout_ms, void* out_result, uint? out_job_id, owned WorkerFunc func, DestroyNotify? data_destroy_func) throws Error
- public bool fetch_job_result (uint job_id, void* out_result) throws Error
- public void forget_job (uint job_id)
- public unowned Thread get_worker_thread ()
- public Worker new_unique (bool allow_destroy)
- public bool set_callback (MainContext? context, WorkerCallback? callback) throws Error
- public uint submit_job (MainContext? callback_context, owned WorkerFunc func, DestroyNotify? data_destroy_func) throws Error
- public bool thread_is_worker ()
- public void unref ()
- public void* wait_job (owned WorkerFunc func) throws Error